# Chrome Serial chipKIT Uno32 App

This app is based on displays a slider that, when dragged, causes the length of the light to be on (pin 26 on Basic I/O shield). The MIDE sketch is included and should be uploaded to the chipKIT Digilent UNO32.

The MIDE sketch also sends back the temperature read on Basic I/O shield's temperature sensor . This way you can figure out how to send commands and receive data from a Chrome App to the chipKIT UNO32 using the serial ports.

To mimic what the Arduino is doing on pin 13 the chrome log turns on and off just like it would on the Arduino pin 13.

The port filters out Bluetooth and only looks for COM strings, this worked on Windows XP and Chrome 27.

## Enable the experimental API in your browser. 

Go to Chrome://flags, find "Experimental Extension APIs", click its "Enable" link, and restart Chrome. From now on, unless you return to that page and disable experimental APIs, you'll be able to run extensions and apps that use experimental APIs.

## Install Chrome App

Go to chrome://extensions then click "Load unpacked extension...". Then click on Launch to get it working.

### APIs

* [Serial API](http://developer.chrome.com/trunk/apps/app.hardware.html#serial)
